import java.util.ArrayList;

public class Flight {

    private Airplane airplane ;
    private String source ;
    private String dest ;
    private String company ;
    private int no ;
    private String type ;
    private int date ;


    public Flight(Airplane airplane , String source , String dest , String company , String type , int no , int date){
        this.airplane = airplane ;
        this.source = source ;
        this.dest = dest ;
        this.company = company ;
        this.type = type ;
        this.no = no ;
        this.date = date ;
    }

    public Airplane getAirplane(){
        return airplane ;
    }

    public String getSource(){
        return source ;
    }

    public String getDest(){
        return dest ;
    }

    public String getCompany(){
        return company ;
    }

    public String getType(){
        return type ;
    }

    public int getNo(){
        return no ;
    }

    public int getDate(){
        return date ;
    }

    public ArrayList<Seat> getFreeSeats() {
        return this.airplane.getFreeSeats();
    }

    public ArrayList<Seat> getSeats() {
        return this.airplane.getSeats();
    }

    public void reserve(Seat seat, Customer customer) {
        this.airplane.reserveSeat(seat, customer);
    }


}
